IWORKXMLContextBase.h File Reference
`#include <boost/enable_shared_from_this.hpp>`
`#include <boost/optional.hpp>`
`#include "IWORKXMLContext.h"`
`#include "IWORKTypes_fwd.h"`

Go to the source code of this file.

## Classes
class | libetonyek::IWORKXMLContextBase< Base, State, Collector >
class | libetonyek::IWORKXMLContextMinimal
class | libetonyek::IWORKXMLContextElement
class | libetonyek::IWORKXMLContextText
class | libetonyek::IWORKXMLContextMixed
class | libetonyek::IWORKXMLContextEmpty

## Namespaces
namespace | libetonyek

## Typedefs
typedef IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState > | libetonyek::IWORKXMLElementContextBase
typedef IWORKXMLContextBase< IWORKXMLContextText, IWORKXMLParserState > | libetonyek::IWORKXMLTextContextBase
typedef IWORKXMLContextBase< IWORKXMLContextMixed, IWORKXMLParserState > | libetonyek::IWORKXMLMixedContextBase
typedef IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState > | libetonyek::IWORKXMLEmptyContextBase